stl_tempbuf.h File Reference

Go to the source code of this file.

## Classes

class | std::_Temporary_buffer< _ForwardIterator, _Tp >

## Namespaces

| std
| std::__detail

## Functions

template<typename _Tp >
void | std::__detail::__return_temporary_buffer (_Tp *__p, size_t __len)
template<typename _Pointer , typename _ForwardIterator >
void | std::__uninitialized_construct_buf (_Pointer __first, _Pointer __last, _ForwardIterator __seed)
template<typename _Tp >
pair< _Tp *, ptrdiff_t > | std::get_temporary_buffer (ptrdiff_t __len) noexcept
template<typename _Tp >
void | std::return_temporary_buffer (_Tp *__p)

## Detailed Description

This is an internal header file, included by other library headers. Do not attempt to use it directly. Instead, include <memory>.

Definition in file stl_tempbuf.h.